Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.jsf
Class RestoreViewInterceptor

    java.lang.Object
      org.apache.struts2.jsf.FacesSupport
          org.apache.struts2.jsf.FacesInterceptor
              org.apache.struts2.jsf.RestoreViewInterceptor

All Implemented Interfaces:
  com.opensymphony.xwork2.interceptor.Interceptor, java.io.Serializable

    public class RestoreViewInterceptor

extends FacesInterceptor

Restores the view or component tree

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts2.jsf.FacesSupport
`FACES_ENABLED, log`

Constructor Summary
`RestoreViewInterceptor()`

Method Summary
`protected boolean` | `executePhase(java.lang.String viewId, javax.faces.context.FacesContext facesContext)` Restore View (JSF.2.2.1)
`protected void` | `recursivelyHandleComponentReferencesAndSetValid(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent parent)` Walk the component tree, executing any component-bindings to reattach components to their backing beans.
`protected void` | `recursivelyHandleComponentReferencesAndSetValid(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent parent, boolean forceHandle)`

Methods inherited from class org.apache.struts2.jsf.FacesInterceptor
`destroy, init, intercept, isFacesEnabled`

Methods inherited from class org.apache.struts2.jsf.FacesSupport
`informPhaseListenersAfter, informPhaseListenersBefore, isResponseComplete, setLifecycle, shouldRenderResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RestoreViewInterceptor

    public RestoreViewInterceptor()

Method Detail

### executePhase

    protected boolean executePhase(java.lang.String viewId,
                                   javax.faces.context.FacesContext facesContext)

  Restore View (JSF.2.2.1)

  Overrides:
    `executePhase` in class `FacesInterceptor`
  Parameters:
    `viewId` - The view id
    `facesContext` - The faces context
  Returns:
    true, if immediate rendering should occur

### recursivelyHandleComponentReferencesAndSetValid

    protected void recursivelyHandleComponentReferencesAndSetValid(javax.faces.context.FacesContext facesContext,
                                                                   javax.faces.component.UIComponent parent)

  Walk the component tree, executing any component-bindings to reattach components to their backing beans. Also, any UIInput component is marked as Valid.

  Note that this method effectively breaks encapsulation; instead of asking each component to update itself and its children, this method just reaches into each component. That makes it impossible for any component to customise its behaviour at this point.

  This has been filed as an issue against the spec. Until this issue is resolved, we'll add a new marker-interface for components to allow them to define their interest in handling children bindings themselves.

### recursivelyHandleComponentReferencesAndSetValid

    protected void recursivelyHandleComponentReferencesAndSetValid(javax.faces.context.FacesContext facesContext,
                                                                   javax.faces.component.UIComponent parent,
                                                                   boolean forceHandle)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.